﻿@model FQ.MD.WEB.ViewModels.RoleMenuIndexViewModel
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Menus;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Roles")">@Res.Roles</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Role</label>
            <label class="col-md-6">: @Model.Role</label>
        </div>
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Description</label>
            <label class="col-md-6">: @Model.Description</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6 text-right">
                @if (ViewBag.IsCreateGranted)
                {
                    <a class="btn btn-sm btn-primary" href="@Url.Action("Add", new { RoleId = Model.RoleId })">@Res.Add</a>
                }
            </div>
        </div>
    </div>
    <div class="card-body">

        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <td width="4%">
                            Seq
                        </td>
                        <td width="10%">
                            @Res.Key
                        </td>
                        <td width="25%">
                            @Res.Display
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Show
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Add
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Edit
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Delete
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Sync
                        </td>
                        <td class="text-center" width="4%">
                            @Res.Upload
                        </td>
                        <td class="text-center" width="4%">
                            @Res.IsActive
                        </td>
                        <td width="30%"></td>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var parent in Model.Menus.Where(q => !q.ParentMenuId.HasValue).OrderBy(q => q.Sequence))
                    {
                        if (!parent.IsLink)
                        {
                            <tr>
                                <td>
                                    @parent.Sequence
                                </td>
                                <td>
                                    @parent.Menu
                                </td>
                                <td>
                                    @Html.Raw(parent.Display)
                                </td>
                                <td colspan="8"></td>
                            </tr>
                        }
                        else
                        {
                            <tr>
                                <td>
                                    @parent.Sequence
                                </td>
                                <td>
                                    @parent.Menu
                                </td>
                                <td>
                                    @Html.Raw(parent.Display)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Read)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Create)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Update)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Delete)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Sync)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Upload)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(parent.Active)
                                </td>
                                <td class="text-right">
                                    @Html.Raw(parent.Actions)
                                </td>
                            </tr>
                        }
                        foreach (var menu in Model.Menus.Where(q => q.ParentMenuId == parent.MenuId).OrderBy(q => q.Sequence))
                        {
                            <tr>
                                <td>
                                    @menu.Sequence
                                </td>
                                <td>
                                    @menu.Menu
                                </td>
                                <td>
                                    @Html.Raw(menu.Display)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Read)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Create)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Update)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Delete)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Sync)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Upload)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Active)
                                </td>
                                <td class="text-right">
                                    @Html.Raw(menu.Actions)
                                </td>
                            </tr>
                        }
                    }
                    @*@foreach (var parent in Model.MenuGroups)
                    {
                        <tr>
                            <td>
                                @parent.Sequence
                            </td>
                            <td>
                                @parent.Menu
                            </td>
                            <td>
                                @Html.Raw(parent.Display)
                            </td>
                            <td colspan="8"></td>
                        </tr>
                        foreach (var menu in parent.Menus)
                        {
                            <tr>
                                <td>
                                    @menu.Sequence
                                </td>
                                <td>
                                    @menu.Menu
                                </td>
                                <td>
                                    @Html.Raw(menu.Display)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Read)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Create)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Update)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Delete)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Sync)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Upload)
                                </td>
                                <td class="text-center">
                                    @Html.Raw(menu.Active)
                                </td>
                                <td class="text-right">
                                    @Html.Raw(menu.Actions)
                                </td>
                            </tr>
                        }
                    }*@
                </tbody>
            </table>
        </div>

    </div>
</div>